Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.common
Class UserInfo

    java.lang.Object
      |
      +--com.bea.wlpi.common.UserInfo

public final class UserInfo
extends java.lang.Object
implements java.io.Serializable, java.lang.Comparable, Publishable

Holds information about a workflow user.

Objects of this class override the `boolean equals(Object)` and implement the `comparable` interface. Homogeneous collections containing objects of this class may, therefore, be searched and sorted using the `Collection.contains(Object), List.indexOf(Object), Collections.sort(List)` methods.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`UserInfo(java.lang.String userId)` Create a new `UserInfo` object.
`UserInfo(java.lang.String userId, java.lang.String eMailAddress, java.lang.String defaultOrgId, java.lang.String calendarId)` Create a new `UserInfo` object.

Method Summary
`int` | `compareTo(java.lang.Object o)` Compare two `UserInfo` objects.
`boolean` | `equals(java.lang.Object obj)` Test two `UserInfo` objects for equality.
`java.lang.String` | `getCalendarId()` Return the user's business calendar.
`java.lang.Object` | `getContents()`
`java.lang.String` | `getDefaultOrgId()` Return the user's default organization.
`java.lang.String` | `getEMailAddress()` Return the user's email address.
`java.lang.String` | `getEntryName()`
`java.lang.String` | `getOwnerName()`
`java.util.List` | `getReferencedPublishables(java.util.Map publishables)`
`int` | `getType()`
`java.lang.String` | `getUserId()` Return the user ID.
`boolean` | `isPublished()`
`void` | `publish()`
`void` | `setCalendarId(java.lang.String calendarId)` Set the user's business calendar.
`void` | `setDefaultOrg(java.lang.String defaultOrgId)` Set the user's default organization.
`void` | `setEMailAddress(java.lang.String eMailAddress)` Set the user's email address.
`java.lang.String` | `toString()` Return a string representation of the object.
`java.lang.String` | `toXML()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UserInfo

    public UserInfo(java.lang.String userId)

  Create a new `UserInfo` object.

  Parameters:
    `userId` - WebLogic Process Integrator user ID.

### UserInfo

    public UserInfo(java.lang.String userId,
                    java.lang.String eMailAddress,
                    java.lang.String defaultOrgId,
                    java.lang.String calendarId)

  Create a new `UserInfo` object.

  Parameters:
    `userId` - WebLogic Process Integrator user ID.
    `eMailAddress` - The user's email address.
    `defaultOrgId` - ID of user's default organization.
    `calendarId` - ID of user's business calendar (can be null).

Method Detail

### getUserId

    public final java.lang.String getUserId()

  Return the user ID.

  Returns:
    The WebLogic Process Integrator user ID.

### getEMailAddress

    public final java.lang.String getEMailAddress()

  Return the user's email address.

  Returns:
    The user's email address.
  See Also:
    `setEMailAddress(java.lang.String)`

### getDefaultOrgId

    public final java.lang.String getDefaultOrgId()

  Return the user's default organization.

  Returns:
    The ID of the user's default organization.
  See Also:
    `setDefaultOrg(java.lang.String)`

### getCalendarId

    public final java.lang.String getCalendarId()

  Return the user's business calendar.

  Returns:
    The ID of the user's business calendar.
  See Also:
    `setCalendarId(java.lang.String)`

### setCalendarId

    public final void setCalendarId(java.lang.String calendarId)

  Set the user's business calendar.

  Parameters:
    `calendarId` - The ID of the business calendar to use.
  See Also:
    `getCalendarId()`

### setEMailAddress

    public void setEMailAddress(java.lang.String eMailAddress)

  Set the user's email address.

  Parameters:
    `eMailAddress` - The email address.
  See Also:
    `getEMailAddress()`

### setDefaultOrg

    public void setDefaultOrg(java.lang.String defaultOrgId)

  Set the user's default organization.

  Parameters:
    `defaultOrgId` - The ID of the user's default organization.
  See Also:
    `getDefaultOrgId()`

### equals

    public boolean equals(java.lang.Object obj)

  Test two `UserInfo` objects for equality.

  Parameters:
    `obj` - Object with which to compare this one.
  Returns:
    `true` if `obj` is an instance of `UserInfo` with the same user ID as this one.
  Overrides:
    equals in class java.lang.Object
  See Also:
    `compareTo(java.lang.Object)`

### compareTo

    public int compareTo(java.lang.Object o)

  Compare two `UserInfo` objects.
  Specified by:
    compareTo in interface java.lang.Comparable

  Parameters:
    `obj` - Object with which to compare this one. Must be `null` or an instance of `UserInfo`.
  Returns:
    The result of comparing the `userId` members using the `String.compareTo(Object)` method.
  Throws:
    java.lang.ClassCastException - if `o` is not an instance of `UserInfo`.
  See Also:
    `equals(java.lang.Object)`

### toString

    public java.lang.String toString()

  Return a string representation of the object.

  Returns:
    String representation, showing the values of members.
  Overrides:
    toString in class java.lang.Object
  Since:
    WebLogic Process Integrator 2.0

### toXML

    public java.lang.String toXML()

### getContents

    public java.lang.Object getContents()

  Specified by:
    getContents in interface Publishable

### getEntryName

    public java.lang.String getEntryName()

  Specified by:
    getEntryName in interface Publishable

### getType

    public int getType()

  Specified by:
    getType in interface Publishable

### getOwnerName

    public java.lang.String getOwnerName()

  Specified by:
    getOwnerName in interface Publishable

### isPublished

    public boolean isPublished()

  Specified by:
    isPublished in interface Publishable

### getReferencedPublishables

    public java.util.List getReferencedPublishables(java.util.Map publishables)

  Specified by:
    getReferencedPublishables in interface Publishable

### publish

    public void publish()

  Specified by:
    publish in interface Publishable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)